<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>
<?php

    global $wpdb;
    $charset_collate = $wpdb->get_charset_collate();
    require_once(ABSPATH . 'wp-admin/includes/upgrade.php'); // Require to use dbDelta
    include('settings.php'); // Load the files to get the databse info

    if( $wpdb->get_var("SHOW TABLES LIKE '{$yydev_tags_table_name}' ") != $yydev_tags_table_name ) {
        // The table we want to create doesn't exists
       
        $sql = "CREATE TABLE " . $yydev_tags_table_name . "( 
        id INTEGER(11) UNSIGNED AUTO_INCREMENT,
        page_id INTEGER (11),
        tag_type TEXT,
        tag_code TEXT,
        PRIMARY KEY (id) 
        ) $charset_collate;";
        
        dbDelta($sql); 
       
    }  // if( $wpdb->get_var("SHOW TABLES LIKE '{$yydev_tags_table_name}' ") != $yydev_tags_table_name ) {

    // loading a string into wp_option to load the plugin from the manu page menu
    if( !get_option($menu_loading_name) ) {
        update_option($menu_loading_name, '0');
    } // if( !get_option($menu_loading_name) ) {

    // loading a string into wp_option to load the plugin from the manu page menu
    if( !get_option('yydev_tag_mangage_wp_body_open') ) {
        update_option('yydev_tag_mangage_wp_body_open', '0');
    } // if( !get_option($menu_loading_name) ) {